com.icesoft.faces.component.seteventphase

## Class SetEventPhase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - com.icesoft.faces.component.seteventphase.SetEventPhase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class SetEventPhase
      extends javax.faces.component.UIComponentBase

  Since:
    1.8
  Author:
    mcollette

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetEventPhase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `changePhaseId(javax.faces.event.FacesEvent event)`
    `protected boolean` | `eventMatchingType(javax.faces.event.FacesEvent event)`
    `java.lang.String` | `getEvents()` Return the value of the `events` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getPhase()` Return the value of the `phase` property.
    `protected boolean` | `isClassNameOneOf(java.lang.String className, java.lang.String[] specifiedEvents)`
    `protected boolean` | `isClassOrInterfacesOneOf(java.lang.Class clazz, java.lang.String[] specifiedEvents)`
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `protected boolean` | `isEventOneOf(javax.faces.event.FacesEvent event, java.lang.String[] specifiedEvents)`
    `void` | `queueEvent(javax.faces.event.FacesEvent event)`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setEvents(java.lang.String events)` Set the value of the `events` property.
    `void` | `setPhase(java.lang.String phase)` Set the value of the `phase` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SetEventPhase

          public SetEventPhase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### queueEvent

          public void queueEvent(javax.faces.event.FacesEvent event)

      Overrides:
        `queueEvent` in class `javax.faces.component.UIComponentBase`

    - #### eventMatchingType

          protected boolean eventMatchingType(javax.faces.event.FacesEvent event)

    - #### isEventOneOf

          protected boolean isEventOneOf(javax.faces.event.FacesEvent event,
                                         java.lang.String[] specifiedEvents)

    - #### isClassOrInterfacesOneOf

          protected boolean isClassOrInterfacesOneOf(java.lang.Class clazz,
                                                     java.lang.String[] specifiedEvents)

    - #### isClassNameOneOf

          protected boolean isClassNameOneOf(java.lang.String className,
                                             java.lang.String[] specifiedEvents)

    - #### changePhaseId

          protected void changePhaseId(javax.faces.event.FacesEvent event)

    - #### setEvents

          public void setEvents(java.lang.String events)

      Set the value of the `events` property.

    - #### getEvents

          public java.lang.String getEvents()

      Return the value of the `events` property.

    - #### setPhase

          public void setPhase(java.lang.String phase)

      Set the value of the `phase` property.

    - #### getPhase

          public java.lang.String getPhase()

      Return the value of the `phase` property.

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.